## org.hibernate
Interface LobHelper

    public interface LobHelper

A `session's` helper for creating LOB data

Author:
  Steve Ebersole

Method Summary
`Blob` `createBlob(byte[] bytes)` Create a new `Blob` from bytes.
`Blob` `createBlob(InputStream stream, long length)` Create a new `Blob` from stream data.
`Clob` `createClob(Reader reader, long length)` Create a new `Clob` from character reader.
`Clob` `createClob(String string)` Create a new `Clob` from content
`Clob` `createNClob(Reader reader, long length)` Create a new `Clob` from character reader.
`Clob` `createNClob(String string)` Create a new `Clob` from content.

Method Detail

### createBlob

    Blob createBlob(byte[] bytes)

  Create a new `Blob` from bytes.

  Parameters:
    `bytes` - a byte array
  Returns:
    the created Blob

### createBlob

    Blob createBlob(InputStream stream,
                    long length)

  Create a new `Blob` from stream data.

  Parameters:
    `stream` - a binary stream
    `length` - the number of bytes in the stream
  Returns:
    the create Blob

### createClob

    Clob createClob(String string)

  Create a new `Clob` from content

  Parameters:
    `string` - The string data
  Returns:
    The created `Clob`

### createClob

    Clob createClob(Reader reader,
                    long length)

  Create a new `Clob` from character reader.

  Parameters:
    `reader` - a character stream
    `length` - the number of characters in the stream
  Returns:
    The created `Clob`

### createNClob

    Clob createNClob(String string)

  Create a new `Clob` from content.

  Note, on JDK 1.6+ environments will create and return a NClob instead (NClob extends the Clob interface).

  Parameters:
    `string` - The string data
  Returns:
    The created `Clob`/NClob

### createNClob

    Clob createNClob(Reader reader,
                     long length)

  Create a new `Clob` from character reader.

  Note, on JDK 1.6+ environments will create and return a NClob instead (NClob extends the Clob interface).

  Parameters:
    `reader` - a character stream
    `length` - the number of characters in the stream
  Returns:
    The created `Clob`/NClob

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.